defmodule Towerops.Repo.Migrations.AddMikrotikCredentialsToDevices do
  use Ecto.Migration

  def change do
    alter table(:devices) do
      add :mikrotik_username, :string
      add :mikrotik_password, :binary
      add :mikrotik_port, :integer
      add :mikrotik_use_ssl, :boolean
      add :mikrotik_enabled, :boolean
      add :mikrotik_credential_source, :string, default: "site"
    end
  end
end
